Subject: Re: bug#22548: Kernel panic after system reconfiguration

From: Albin <[email-masked]>
Date: Wed, 3 Feb 2016 23:45:39 +0100

Hi,

Den 2016-02-03 kl. 23:14, skrev Mark H Weaver:
> Albin <[email-masked]> writes:
> 
>> Hi again,
>>
>> I got rid of the kernel panic by removing the following from the config
>> and reconfiguring (as suggested by Mark Weaver):
>>
>>> (swap-devices '("/swapfile"))
>>
>> It would be nice to be able to enable swap again though. On my system it
>> needs to be done with a swap file.
> 
> I suspect this never worked, but that before the error was silently
> ignored.  In my case, I had:
> 
>   (swap-devices '("/dev/disk/by-label/jojen-swap"))
> 
> and /dev/disk went away at some point due to another problem.  For a
> long time, I simply had no swap.  With the dmd -> shepherd transition,
> it started causing a fatal error during boot, leading to a kernel panic.
> Unfortunately, the error message scrolled off the screen very quickly,
> obscured by a useless kernel backtrace.
> 
>       Mark
> 

Mark is correct: swap was never enabled in the first place.  I tested
this by booting an old configuration and entering `cat /proc/swaps`,
which returned an empty table.

Case closed, I guess!

Albin